Package org.flowable.bpmn.model

# Class BusinessRuleTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.BusinessRuleTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

public class BusinessRuleTask extends Task

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `className`
  `protected boolean`
  `exclude`
  `protected List<String>`
  `inputVariables`
  `protected String`
  `resultVariableName`
  `protected List<String>`
  `ruleNames`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessRuleTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BusinessRuleTask`
  `clone()`
  `String`
  `getClassName()`
  `List<String>`
  `getInputVariables()`
  `String`
  `getResultVariableName()`
  `List<String>`
  `getRuleNames()`
  `boolean`
  `isExclude()`
  `void`
  `setClassName(String className)`
  `void`
  `setExclude(boolean exclude)`
  `void`
  `setInputVariables(List<String> inputVariables)`
  `void`
  `setResultVariableName(String resultVariableName)`
  `void`
  `setRuleNames(List<String> ruleNames)`
  `void`
  `setValues(BusinessRuleTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### resultVariableName

    protected String resultVariableName

  - ### exclude

    protected boolean exclude

  - ### ruleNames

    protected List<String> ruleNames

  - ### inputVariables

    protected List<String> inputVariables

  - ### className

    protected String className

- ## Constructor Details

  - ### BusinessRuleTask

    public BusinessRuleTask()

- ## Method Details

  - ### isExclude

    public boolean isExclude()

  - ### setExclude

    public void setExclude(boolean exclude)

  - ### getResultVariableName

    public String getResultVariableName()

  - ### setResultVariableName

    public void setResultVariableName(String resultVariableName)

  - ### getRuleNames

    public List<String> getRuleNames()

  - ### setRuleNames

    public void setRuleNames(List<String> ruleNames)

  - ### getInputVariables

    public List<String> getInputVariables()

  - ### setInputVariables

    public void setInputVariables(List<String> inputVariables)

  - ### getClassName

    public String getClassName()

  - ### setClassName

    public void setClassName(String className)

  - ### clone

    public BusinessRuleTask clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(BusinessRuleTask otherElement)